#ifndef Default_h
#define Default_h

#include "Arduino.h"

#define MILLION  1000000
#define THOUSAND 1000
#define HUNDRED  100
#define TEN     10

//COLOUR
#define _COLOUR 0x00 //EU SPELLING
#define _COLOR 0x00  //US SPELLING
#define _BLACK 0x01
#define _WHITE 0x02
#define _BLUE 0x03
#define _GREEN 0x04
#define _ORANGE 0x05
#define _RED 0x06
#define _YELLOW 0x07
#define _PURPLE 0x08

//COMMAND
#define _ABORT 0x09
#define _ACTIVATE 0x0A
#define _BEGIN 0x0B
#define _DEACTIVATE 0x0C
#define _DESTRUCT 0x0D
#define _GO 0x0E
#define _MOVE 0x0F
#define _OFF 0x10
#define _ON 0x11
#define _OPEN 0x12
#define _PULL 0x13
#define _PUSH 0x14
#define _RESET 0x15
#define _RUN 0x16
#define _STOP 0x17
#define _TURN 0x18

//MONTHS/DAYS/TIME
#define _JANUARY 0x19
#define _JAN 0x19
#define _FEBRUARY 0x1A
#define _FEB 0x1A
#define _MARCH 0x1B
#define _MAR 0x1B
#define _APRIL 0x1C
#define _APR 0x1C
#define _MAY 0x1D
#define _JUNE 0x1E
#define _JULY 0x1F
#define _AUGUST 0x20
#define _AUG 0x20
#define _SEPTEMBER 0x21
#define _SEP 0x21
#define _SEPT 0x21
#define _OCTOBER 0x22
#define _OCT 0x22
#define _NOVEMBER 0x23
#define _NOV 0x23
#define _DECEMBER 0x24
#define _DEC 0x24
#define _MONDAY 0x25
#define _MON 0x25
#define _TUESDAY 0x26
#define _TUE 0x26
#define _WEDNESDAY 0x27
#define _WED 0x27
#define _THURSDAY 0x28
#define _THUR 0x28
#define _THR 0x28
#define _FRIDAY 0x29
#define _FRI 0x29
#define _SATURDAY 0x2A
#define _SAT 0x2A
#define _SUNDAY 0x2B
#define _SUN 0x2B
#define _AM_ 0x2C
#define _PM_ 0x2D
#define _DATE 0x2E
#define _DAY 0x2F
#define _HOURS 0x30
#define _HRS 0x30
#define _MONTH 0x31
#define _OCLOCK 0x32
#define _TIME 0x33
#define _WEEK 0x34
#define _YEAR 0x35

//NUMBERS
#define _ZERO 0x36
#define _0 0x36
#define _ONE 0x37
#define _1 0x37
#define _TWO 0x38
#define _2 0x38
#define _THREE 0x39
#define _3 0x39
#define _FOUR 0x3A
#define _4 0x3A
#define _FIVE 0x3B
#define _5 0x3B
#define _SIX 0x3C
#define _6 0x3C
#define _SEVEN 0x3D
#define _7 0x3B
#define _EIGHT 0x3E
#define _8 0x3E
#define _NINE 0x3F
#define _9 0x3F
#define _TEN 0x40
#define _10 0x40
#define _ELEVEN 0x41
#define _11 0x41
#define _TWELVE 0x42
#define _12 0x42
#define _THIRTEEN 0x43
#define _13 0x43
#define _FOURTEEN 0x44
#define _14 0x44
#define _FIFTEEN 0x45
#define _15 0x45
#define _SIXTEEN 0x46
#define _16 0x46
#define _SEVENTEEN 0x47
#define _17 0x47
#define _EIGHTEEN 0x48
#define _18 0x48
#define _NINETEEN 0x49
#define _19 0x49
#define _TWENTY 0x4A
#define _20 0x4A
#define _THIRTY 0x4B
#define _30 0x4B
#define _FORTY 0x4C
#define _40 0x4C
#define _FIFTY 0x4D
#define _50 0x4D
#define _SIXTY 0x4E
#define _60 0x4E
#define _SEVENTY 0x4F
#define _70 0x4F
#define _EIGHTY 0x50
#define _80 0x50
#define _NINETY 0x51
#define _90 0x51
#define _HUNDRED 0x52
#define _100 0x52
#define _THOUSAND 0x53
#define _1000 0x53
#define _MILLION 0x54

//DIRECTIONS
#define _NORTH 0x55
#define _EAST 0x56
#define _SOUTH 0x57
#define _WEST 0x58
#define _UP 0x59
#define _DOWN 0x5A
#define _LEFT 0x5B
#define _RIGHT 0x5C
#define _BACKWARD 0x5D
#define _FORWARD 0x5E

//FEELINGS
#define _HAPPY 0x5F
#define _SAD 0x60
#define _ANGRY 0x61

//MEASUREMENT
#define _AC 0x62
#define _AMPS 0x63
#define _CELSIUS 0x64
#define _CENTI 0x65
#define _CUBIC 0x66
#define _DC 0x67
#define _DEGREES 0x68
#define _DIAMETER 0x69
#define _FAHRENHEIT 0x6A
#define _FARADS 0x6B
#define _FEET 0x6C
#define _FREQUENCY 0x6D
#define _GIGA 0x6E
#define _GRAM 0x6F
#define _HEIGHT 0x70
#define _HERTZ 0x71
#define _HZ 0x71
#define _HUMIDITY 0x72
#define _INCHES 0x73
#define _KILO 0x74
#define _LENGTH 0x75
#define _LIGHT 0x76
#define _LITRE 0x77
#define _MEGA 0x78
#define _METERS 0x79
#define _MICRO 0x7A
#define _MILLI 0x7B
#define _MINUTES 0x7C
#define _NANO 0x7D
#define _NEWTON 0x7E
#define _NIGHT 0x7F
#define _OHMS 0x80
#define _PER 0x81
#define _PICO 0x82
#define _PITCH 0x83
#define _POUNDS 0x84
#define _RADIUS 0x85
#define _RATE 0x86
#define _SECONDS 0x87
#define _SOUND 0x88
#define _SPEED 0x89
#define _TEMPERATURE 0x8A
#define _VOLTS 0x8B
#define _WATTS 0x8C
#define _WEIGHT 0x8D

//SECURITY
#define _ALARM 0x8E
#define _ALERT 0x8F
#define _DETECTED 0x90
#define _INTRUDER 0x91
#define _SECURITY 0x92
#define _SYSTEM 0x93
#define _WARNING 0x94

//MATH
#define _CLOCKWISE 0x95
#define _COUNTER 0x96
#define _DIVIDE 0x97
#define _EQUALS 0x98
#define _MINUS 0x99
#define _MULTIPLY 0x9A
#define _NOT 0x9B
#define _PLUS 0x9C
#define _SQUARE_ROOT 0x9D

 //WORDS GENERAL
 #define _A 0x9E
 #define _AHEAD 0x9F
 #define _AIR 0xA0
 #define _ALTITUDE 0xA1
 #define _AN 0xA2
 #define _AM 0xA3 //AM NOT A.M.
 #define _AND 0xA4
 #define _ARE 0xA5
 #define _AREA 0xA6
 #define _AT 0xA7
 #define _AXIS 0xA8
 #define _BACK 0xA9
 #define _BE 0xAA
 #define _BEARING 0xAB
 #define _BEEN 0xAC
 #define _BUTTON 0xAD
 #define _BY 0xAE
 #define _CAN 0xAF
 #define _CAUTION 0xB0
 #define _CHANGE 0xB1
 #define _CHECK 0xB2
 #define _CLOSED 0xB3
 #define _CONDITION 0xB4
 #define _CONTACT 0xB5
 #define _CRITIAL 0xB6
 #define _DOOR 0xB7
 #define _EMPTY 0xB8  
 #define _END 0xB9  
 #define _ENVIROMENT 0xBA  
 #define _FALLING 0xBB  
 #define  _FAST 0xBC  
 #define  _FATAL 0xBD  
 #define  _FEEL 0xBE  
 #define  _FIRST 0xBF  
 #define  _FROM 0xC0  
 #define  _FRONT 0xC1  
 #define  _GOING 0xC2  
 #define  _GOODBYE 0xC3  
 #define  _HE  0xC4  
 #define  _HELLO 0xC5  
 #define  _HIGH 0xC6  
 #define  _HOW 0xC7  
 #define  _I 0xC8  
 #define  _IN  0xC9  
 #define  _INCOMING 0xCA  
 #define  _ING 0xCB  
 #define  _INSIDE 0xCC  
 #define  _IS 0xCD  
 #define  _IT 0xCE  
 #define  _LASER 0xCF  
 #define  _LAST 0xD0  
 #define  _LEVEL 0xD1  
 #define  _LOCKED 0xD2  
 #define  _LOW 0xD3  
 #define  _ME 0xD4  
 #define  _MESSAGE 0xD5  
 #define  _MODE 0xD6  
 #define  _MOTOR 0xD7  
 #define  _NEW 0xD8  
 #define  _NEXT 0xD9  
 #define  _NOMINCAL 0xDA  
 #define  _OBJECT 0xDB  
 #define  _OBSTACLE 0xDC  
 #define  _OF 0xDD  
 #define  _OUT 0xDE  
 #define  _OUTSIDE 0xDF  
 #define  _PRESS 0xE0  
 #define  _PROCESS 0xE1  
 #define  _PURGE 0xE2  
 #define  _RANGE 0xE3  
 #define  _REAR 0xE4  
 #define  _RECEIVED 0xE5  
 #define  _RISING 0xE6  
 #define  _SENT 0xE7  
 #define  _SEQUENCE 0xE8  
 #define  _SHE 0xE9  
 #define  _SLEEP 0xEA  
 #define  _SLOW 0xEB  
 #define  _STABLE 0xEC  
 #define  _START 0xED  
 #define  _STEP 0xEE  
 #define  _STEPPER 0xEF  
 #define  _SWITCH 0xF0  
 #define  _TELL 0xF1  
 #define  _THE 0xF2  
 #define  _THERE 0xF3  
 #define  _THEY 0xF4  
 #define  _TO  0xF5  
 #define  _TOTAL 0xF6  
 #define  _VENT 0xF7  
 #define  _WE  0xF9  
 #define  _WILL 0xFA  
 #define  _WINDOW 0xFB  
 #define  _YOU 0xFC  
 #define  _ZONE 0xFD

#endif
